Skip to main content
PATCH
Update Mcp Server

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

server_id
string
required

Body

application/json

Patch payload for an MCP server spec. All fields optional — unset = unchanged.

cmd
string[] | null
description
string | null
docker_image_url
string | null
env_schema
Env Schema · object[] | null
is_public
boolean | null
json_spec
Json Spec · object | null
name
string | null
Required string length: 1 - 255
registry_url
string | null
remote_url
string | null
status
string | null

Lifecycle status of the spec (e.g. 'active', 'deprecated').

tags
string[] | null
version
string | null

Response

Successful Response

cmd
string[] | null
required
created_at
string
required
description
string
required
env_schema
Env Schema · object[]
required
id
string<uuid>
required
is_public
boolean
required
name
string
required
slug
string
required
status
string
required
tags
string[]
required
updated_at
string
required
version
string
required
docker_image_url
string | null
json_spec
Json Spec · object | null
registry_url
string | null
remote_url
string | null